--- cygport-rubygems/rubygems.cygport	2023-04-13 21:58:12
+++ playground-rubygems/rubygems.cygport	2023-04-14 19:37:10
@@ -1,16 +1,18 @@
 inherit ruby
 
 NAME="rubygems"
-VERSION=3.0.3
+VERSION=3.4.12
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby module management system"
 DESCRIPTION="A centralized Ruby extension management system, similar to Perl's CPAN"
-HOMEPAGE="http://rubygems.org/"
-SRC_URI="http://production.cf.rubygems.org/rubygems/${NAME}-${VERSION}.tgz"
+HOMEPAGE="https://rubygems.org/"
+SRC_URI="https://github.com/rubygems/rubygems/archive/refs/tags/v${VERSION}.tar.gz"
 SRC_URI+=" operating_system.rb"
 PATCH_URI="2.4.1-cygwin.patch"
 
+LICENSE="MIT"
+
 ARCH=noarch
 
 PKG_NAMES="${NAME} ${NAME}-doc"
@@ -18,7 +20,6 @@
 rubygems_CONTENTS="usr/bin/gem usr/share/doc/ usr/share/rubygems/"
 rubygems_doc_CONTENTS="usr/share/gems/doc/"
 
-DIFF_EXCLUDES="bundler.gemspec"
 DEPS_PATH="/usr/share/rubygems"
 
 CYGPORT_USE_UNSTABLE_API=1
@@ -39,9 +40,16 @@
 
 	# bundler is now a default part of ruby
 	rm -f ${D}/usr/bin/bundle*
+	rm -fr ${D}/usr/share/gems/gems/bundler-*/
 	rm -f ${D}/usr/share/gems/specifications/default/bundler-*.gemspec
-	rm -fr ${D}${D}/usr/share/gems/specifications/gems/bundler-*/
+	rm -fr ${D}/usr/share/gems/specifications/gems/bundler-*/
 	rm -fr ${D}/usr/share/rubygems/bundler*
 
+	# remove generated files
+	for b in ${D}/usr/bin/*
+	do
+		[ `basename ${b}` != "gem" ] && rm -f ${b}
+	done
+
 	rm -fr ${D}/usr/share/rubygems/rubygems/ssl_certs/
 }
